summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.gitignore1
-rwxr-xr-xtools/check_loading33
2 files changed, 33 insertions, 1 deletions
diff --git a/.gitignore b/.gitignore
index 01be7d2..5b511d0 100644
--- a/.gitignore
+++ b/.gitignore
@@ -1,6 +1,5 @@
tools/api*
tools/*diff
git*
-check*
.ditz-config
html
diff --git a/tools/check_loading b/tools/check_loading
new file mode 100755
index 0000000..d53be77
--- /dev/null
+++ b/tools/check_loading
@@ -0,0 +1,33 @@
+#! /bin/bash
+#
+RESET="\033[0m"
+RED="\033[0;31m"
+GREEN="\033[0;32m"
+#
+abspath=$(readlink -f $0)
+parentdir=${abspath%/*/*}
+#
+function run () {
+ echo -n " ${1##*/}"
+ $RUBY -I $parentdir/lib $1 2>/dev/null && echo -e "$GREEN OK$RESET" || echo -e "$RED KO$RESET"
+}
+#
+function each () {
+ echo $($RUBY --version)
+ echo " lib/efl/native/*.rb"
+ for native in $parentdir/lib/efl/native/*.rb; do
+ run $native
+ done
+ echo " lib/efl/*.rb"
+ for wrapper in $parentdir/lib/efl/e*.rb; do
+ run $wrapper
+ done
+}
+#
+RUBY=/usr/bin/ruby
+time each
+echo
+RUBY=/opt/ruby1.8/bin/ruby
+time each
+echo
+#